com.fasterxml.jackson.databind.json

## Class JsonMapper

- java.lang.Object
- - com.fasterxml.jackson.core.TreeCodec
  - - com.fasterxml.jackson.core.ObjectCodec
    - - com.fasterxml.jackson.databind.ObjectMapper
      - - com.fasterxml.jackson.databind.json.JsonMapper

All Implemented Interfaces:
  Versioned, Serializable

    public class JsonMapper
    extends ObjectMapper

JSON-format specific `ObjectMapper` implementation.

Since:
  2.10
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `JsonMapper.Builder` Base implementation for "Vanilla" `ObjectMapper`, used with JSON dataformat backend.

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ObjectMapper

`ObjectMapper.DefaultTypeResolverBuilder, ObjectMapper.DefaultTyping`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ObjectMapper

`_configOverrides, _deserializationConfig, _deserializationContext, _injectableValues, _jsonFactory, _mixIns, _registeredModuleTypes, _rootDeserializers, _serializationConfig, _serializerFactory, _serializerProvider, _subtypeResolver, _typeFactory, DEFAULT_ANNOTATION_INTROSPECTOR, DEFAULT_BASE`

### Constructor Summary

Constructors
`` `JsonMapper()`
`` `JsonMapper(JsonFactory f)`
`protected` `JsonMapper(JsonMapper src)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JsonMapper.Builder` `builder()`
`static JsonMapper.Builder` `builder(JsonFactory streamFactory)`
`JsonMapper` `copy()` Method for creating a new `ObjectMapper` instance that has same initial configuration as this instance.
`JsonFactory` `getFactory()`
`boolean` `isEnabled(JsonReadFeature f)`
`boolean` `isEnabled(JsonWriteFeature f)`
`JsonMapper.Builder` `rebuild()`
`Version` `version()` Method that will return version information stored in and read from jar that contains this class.

### Methods inherited from class com.fasterxml.jackson.databind.ObjectMapper

`_assertNotNull, _checkInvalidCopy, _configAndWriteValue, _constructDefaultTypeResolverBuilder, _convert, _findRootDeserializer, _initForReading, _initForReading, _newReader, _newReader, _newWriter, _newWriter, _newWriter, _readMapAndClose, _readTreeAndClose, _readValue, _serializerProvider, _unwrapAndDeserialize, _verifyNoTrailingTokens, _verifySchemaType, acceptJsonFormatVisitor, acceptJsonFormatVisitor, activateDefaultTyping, activateDefaultTyping, activateDefaultTyping, activateDefaultTypingAsProperty, addHandler, addMixIn, addMixInAnnotations, canDeserialize, canDeserialize, canSerialize, canSerialize, clearProblemHandlers, configOverride, configure, configure, configure, configure, configure, constructType, convertValue, convertValue, convertValue, createArrayNode, createDeserializationContext, createGenerator, createGenerator, createGenerator, createGenerator, createGenerator, createNonBlockingByteArrayParser, createObjectNode, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, createParser, deactivateDefaultTyping, defaultClassIntrospector, disable, disable, disable, disable, disable, disable, disable, disableDefaultTyping, enable, enable, enable, enable, enable, enable, enable, enableDefaultTyping, enableDefaultTyping, enableDefaultTyping, enableDefaultTypingAsProperty, findAndRegisterModules, findMixInClassFor, findModules, findModules, generateJsonSchema, getDateFormat, getDeserializationConfig, getDeserializationContext, getInjectableValues, getJsonFactory, getNodeFactory, getPolymorphicTypeValidator, getPropertyNamingStrategy, getRegisteredModuleIds, getSerializationConfig, getSerializerFactory, getSerializerProvider, getSerializerProviderInstance, getSubtypeResolver, getTypeFactory, getVisibilityChecker, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, missingNode, mixInCount, nullNode, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, reader, readerFor, readerFor, readerFor, readerForUpdating, readerWithView, readTree, readTree, readTree, readTree, readTree, readTree, readTree, readTree, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValue, readValues, readValues, readValues, readValues, registerModule, registerModules, registerModules, registerSubtypes, registerSubtypes, registerSubtypes, setAnnotationIntrospector, setAnnotationIntrospectors, setBase64Variant, setConfig, setConfig, setDateFormat, setDefaultLeniency, setDefaultMergeable, setDefaultPrettyPrinter, setDefaultPropertyInclusion, setDefaultPropertyInclusion, setDefaultSetterInfo, setDefaultTyping, setDefaultVisibility, setFilterProvider, setFilters, setHandlerInstantiator, setInjectableValues, setLocale, setMixInAnnotations, setMixInResolver, setMixIns, setNodeFactory, setPolymorphicTypeValidator, setPropertyInclusion, setPropertyNamingStrategy, setSerializationInclusion, setSerializerFactory, setSerializerProvider, setSubtypeResolver, setTimeZone, setTypeFactory, setVisibility, setVisibility, setVisibilityChecker, tokenStreamFactory, treeAsTokens, treeToValue, updateValue, valueToTree, writer, writer, writer, writer, writer, writer, writer, writer, writer, writer, writerFor, writerFor, writerFor, writerWithDefaultPrettyPrinter, writerWithType, writerWithType, writerWithType, writerWithView, writeTree, writeTree, writeValue, writeValue, writeValue, writeValue, writeValue, writeValueAsBytes, writeValueAsString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonMapper

    public JsonMapper()

#### JsonMapper

    public JsonMapper(JsonFactory f)

#### JsonMapper

    protected JsonMapper(JsonMapper src)

### Method Detail

#### copy

    public JsonMapper copy()

Description copied from class: `ObjectMapper`
Method for creating a new `ObjectMapper` instance that has same initial configuration as this instance. Note that this also requires making a copy of the underlying `JsonFactory` instance.

Method is typically used when multiple, differently configured mappers are needed. Although configuration is shared, cached serializers and deserializers are NOT shared, which means that the new instance may be re-configured before use; meaning that it behaves the same way as if an instance was constructed from scratch.

Overrides:
  `copy` in class `ObjectMapper`

#### builder

    public static JsonMapper.Builder builder()

#### builder

    public static JsonMapper.Builder builder(JsonFactory streamFactory)

#### rebuild

    public JsonMapper.Builder rebuild()

#### version

    public Version version()

Description copied from class: `ObjectMapper`
Method that will return version information stored in and read from jar that contains this class.

Specified by:
  `version` in interface `Versioned`
Overrides:
  `version` in class `ObjectMapper`

#### getFactory

    public JsonFactory getFactory()

Overrides:
  `getFactory` in class `ObjectMapper`

#### isEnabled

    public boolean isEnabled(JsonReadFeature f)

#### isEnabled

    public boolean isEnabled(JsonWriteFeature f)